Package org.springframework.aop.config

# Class AspectComponentDefinition

java.lang.Object
org.springframework.beans.factory.parsing.AbstractComponentDefinition
org.springframework.beans.factory.parsing.CompositeComponentDefinition
org.springframework.aop.config.AspectComponentDefinition

All Implemented Interfaces:
  `org.springframework.beans.BeanMetadataElement`, `org.springframework.beans.factory.parsing.ComponentDefinition`

public class AspectComponentDefinition extends org.springframework.beans.factory.parsing.CompositeComponentDefinition
`ComponentDefinition` that holds an aspect definition, including its nested pointcuts.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  - `CompositeComponentDefinition.getNestedComponents()`
  - `PointcutComponentDefinition`

## Constructor Summary

Constructors
Constructor
Description
`AspectComponentDefinition(String aspectName, org.springframework.beans.factory.config.BeanDefinition[] beanDefinitions, org.springframework.beans.factory.config.BeanReference[] beanReferences, Object source)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition[]`
`getBeanDefinitions()`
`org.springframework.beans.factory.config.BeanReference[]`
`getBeanReferences()`

### Methods inherited from class org.springframework.beans.factory.parsing.CompositeComponentDefinition

`addNestedComponent, getName, getNestedComponents, getSource`

### Methods inherited from class org.springframework.beans.factory.parsing.AbstractComponentDefinition

`getDescription, getInnerBeanDefinitions, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AspectComponentDefinition

public AspectComponentDefinition(String aspectName, @Nullable org.springframework.beans.factory.config.BeanDefinition[] beanDefinitions, @Nullable org.springframework.beans.factory.config.BeanReference[] beanReferences, @Nullable Object source)

## Method Details

### getBeanDefinitions

public org.springframework.beans.factory.config.BeanDefinition[] getBeanDefinitions()

Specified by:
  `getBeanDefinitions` in interface `org.springframework.beans.factory.parsing.ComponentDefinition`
Overrides:
  `getBeanDefinitions` in class `org.springframework.beans.factory.parsing.AbstractComponentDefinition`

### getBeanReferences

public org.springframework.beans.factory.config.BeanReference[] getBeanReferences()

Specified by:
  `getBeanReferences` in interface `org.springframework.beans.factory.parsing.ComponentDefinition`
Overrides:
  `getBeanReferences` in class `org.springframework.beans.factory.parsing.AbstractComponentDefinition`